JUCE: SoftwareImageType Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SoftwareImageType Class Reference
juce_graphics » images

An image storage type which holds the pixels in-memory as a simple block of values. More...

`#include <juce_Image.h>`

Inheritance diagram for SoftwareImageType:

## Public Member Functions
| SoftwareImageType ()
| ~SoftwareImageType () override
ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool clearImage) const override
| Creates a new image of this type, and the specified parameters.
int | getTypeID () const override
| Must return a unique number to identify this type.
Public Member Functions inherited from ImageType
| ImageType ()
virtual | ~ImageType ()
virtual ImagePixelData::Ptr | create (Image::PixelFormat, int width, int height, bool shouldClearImage) const =0
| Creates a new image of this type, and the specified parameters.
virtual int | getTypeID () const =0
| Must return a unique number to identify this type.
virtual Image | convert (const Image &source) const
| Returns an image which is a copy of the source image, but using this type of storage mechanism.

## Detailed Description

An image storage type which holds the pixels in-memory as a simple block of values.

See also
  ImageType, NativeImageType

## Constructor & Destructor Documentation

## ◆ SoftwareImageType()

SoftwareImageType::SoftwareImageType | ( |  | ) |

## ◆ ~SoftwareImageType()

SoftwareImageType::~SoftwareImageType | ( |  | ) |
| override

## Member Function Documentation

## ◆ create()

ImagePixelData::Ptr SoftwareImageType::create | ( | Image::PixelFormat | ,
|  | int | width,
|  | int | height,
|  | bool | shouldClearImage
| ) |  | const
| overridevirtual

Creates a new image of this type, and the specified parameters.

Implements ImageType.

## ◆ getTypeID()

int SoftwareImageType::getTypeID | ( |  | ) | const
| overridevirtual

Must return a unique number to identify this type.

Implements ImageType.

The documentation for this class was generated from the following file:

- juce_Image.h